org.apache.ignite.internal.processors.cache.extras

## Class GridCacheEntryExtrasAdapter

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.extras.GridCacheEntryExtrasAdapter

All Implemented Interfaces:
  GridCacheEntryExtras

Direct Known Subclasses:
  GridCacheAttributesEntryExtras, GridCacheAttributesMvccEntryExtras, GridCacheAttributesMvccObsoleteEntryExtras, GridCacheAttributesMvccObsoleteTtlEntryExtras, GridCacheAttributesMvccTtlEntryExtras, GridCacheAttributesObsoleteEntryExtras, GridCacheAttributesObsoleteTtlEntryExtras, GridCacheAttributesTtlEntryExtras, GridCacheMvccEntryExtras, GridCacheMvccObsoleteEntryExtras, GridCacheMvccObsoleteTtlEntryExtras, GridCacheMvccTtlEntryExtras, GridCacheObsoleteEntryExtras, GridCacheObsoleteTtlEntryExtras, GridCacheTtlEntryExtras

    public abstract class GridCacheEntryExtrasAdapter
    extends Object
    implements GridCacheEntryExtras

Cache extras adapter.

### Constructor Summary

Constructors
Constructor and Description
`GridCacheEntryExtrasAdapter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `expireTime()`
`GridCacheMvcc` `mvcc()`
`GridCacheVersion` `obsoleteVersion()`
`long` `ttl()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.processors.cache.extras.GridCacheEntryExtras

`mvcc, obsoleteVersion, size, ttlAndExpireTime`

### Constructor Detail

#### GridCacheEntryExtrasAdapter

    public GridCacheEntryExtrasAdapter()

### Method Detail

#### mvcc

    public GridCacheMvcc mvcc()

Specified by:
  `mvcc` in interface `GridCacheEntryExtras`
Returns:
  MVCC.

#### obsoleteVersion

    public GridCacheVersion obsoleteVersion()

Specified by:
  `obsoleteVersion` in interface `GridCacheEntryExtras`
Returns:
  Obsolete version.

#### ttl

    public long ttl()

Specified by:
  `ttl` in interface `GridCacheEntryExtras`
Returns:
  TTL.

#### expireTime

    public long expireTime()

Specified by:
  `expireTime` in interface `GridCacheEntryExtras`
Returns:
  Expire time.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.1
Release Date | : May 21 2020